<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| CVS Version: 1.00
| Author: Peter Bruggink
| Email: p.bruggink@zonnet.nl
+--------------------------------------------------------+
| v7 By Diemux
| www.phpfusion-mods.net
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS."marketplace_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."marketplace_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."marketplace_panel/locale/English.php";
}

include INFUSIONS."marketplace_panel/infusion_db.php";

$inf_title = $locale['MPL100'];
$inf_description = $locale['MPL101'];
$inf_version = "1.3";
$inf_developer = "Peter Bruggink,v7 by SP8WQX";
$inf_email = "p.bruggink@zonnet.nl";
$inf_weburl = "http://www.surena.nl";

$inf_folder = "marketplace_panel";

// Delete any items not required here.
$inf_newtable[1] = DB_MARKETPLACE." (
  			mplace_id smallint(5) UNSIGNED NOT NULL auto_increment,
  			mplace_owner smallint(5) UNSIGNED NOT NULL DEFAULT '0',
  			mplace_article varchar(25) NOT NULL DEFAULT '',
  			mplace_message text NOT NULL,
			mplace_price varchar(6) NOT NULL DEFAULT '0',
			photo varchar(50) NOT NULL,
			mplace_buynow tinyint(1) NOT NULL DEFAULT '0',
			mplace_time INT(10) NOT NULL,
			mplace_cat INT(5) NOT NULL DEFAULT '1',
  			mplace_datestamp INT(10) UNSIGNED NOT NULL DEFAULT '0',
  			mplace_sold smallint(5) UNSIGNED NOT NULL DEFAULT '0',
			PRIMARY KEY  (mplace_id)
			) TYPE=MyISAM;";

$inf_newtable[2] = DB_MARKETPLACE_BIDDING." (
  			mplace_id smallint(5) UNSIGNED NOT NULL DEFAULT '0',
  			bidding_owner smallint(5) UNSIGNED NOT NULL DEFAULT '0',
			bidding_price varchar(6) NOT NULL DEFAULT '0',
  			bidding_date INT(10) UNSIGNED NOT NULL DEFAULT '0',
			PRIMARY KEY  (mplace_id, bidding_owner)
			) TYPE=MyISAM;";

$inf_droptable[1] = DB_MARKETPLACE;
$inf_droptable[2] = DB_MARKETPLACE_BIDDING;


$inf_adminpanel[1] = array(
	"title" => "Marketplace",
	"image" => "image.gif",
	"panel" => "marketplace.php",
	"rights" => "MAR"
);

?>
