<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: marketplace.php
| CVS Version: 1.00
| Author: Peter Bruggink
| Email: p.bruggink@zonnet.nl
+--------------------------------------------------------+
| v7 By Diemux
| www.phpfusion-mods.net
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
// If register_globals is turned off, extract super globals (php 4.2.0+)
if (ini_get('register_globals') != 1) {
	if ((isset($_POST) == true) && (is_array($_POST) == true)) extract($_POST, EXTR_OVERWRITE);
	if ((isset($_GET) == true) && (is_array($_GET) == true)) extract($_GET, EXTR_OVERWRITE);
}

require_once "../../maincore.php";
require_once THEMES."templates/header.php";
include_once INCLUDES."bbcode_include.php";
include INFUSIONS."marketplace_panel/infusion_db.php";
include LOCALE.LOCALESET."submit.php";
define("IMG", BASEDIR."infusions/marketplace_panel/");


if (file_exists(INFUSIONS."marketplace_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."marketplace_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."marketplace_panel/locale/English.php";
}
error_reporting(E_ALL ^ E_NOTICE);
function mailok($email) {
	if ($email == "" || !preg_match("/^[-0-9A-Z_\.]{1,50}@([-0-9A-Z_\.]+\.){1,50}([0-9A-Z]){2,4}$/i", $email)) {
		return false;
	}
	return true;
}

if (isset($mplace_id) && !isNum($mplace_id)) redirect(FUSION_SELF);
if (!isset($action)) $action = "";

if ($action == "delete") {
	if (iADMIN) {
		$result = dbquery("DELETE FROM ".DB_MARKETPLACE." WHERE mplace_id='$mplace_id'");
		$result = dbquery("DELETE FROM ".DB_MARKETPLACE_BIDDING." WHERE mplace_id='$mplace_id'");
		redirect(FUSION_SELF);
	}
}
	
if (isset($_POST['mplace_submit'])) {
//dodawanie zdjcia

require_once INCLUDES."photo_functions_include.php";

                $error = "";
		if (is_uploaded_file($_FILES['photo_pic_file']['tmp_name'])) {
			$photo_types = array(".gif",".jpg",".jpeg",".png");
			$photo_pic = $_FILES['photo_pic_file'];
			$photo_name = stripfilename(strtolower(substr($photo_pic['name'], 0, strrpos($photo_pic['name'], "."))));
			$photo_ext = strtolower(strrchr($photo_pic['name'],"."));
			$photo_dest = IMG."images/";
			if (!preg_match("/^[-0-9A-Z_\[\]]+$/i", $photo_name)) {
				$error = 1;
			} elseif ($photo_pic['size'] > $settings['photo_max_b']){
				$error = 2;
			} elseif (!in_array($photo_ext, $photo_types)) {
				$error = 3;
			} else {
				$photo_file = image_exists($photo_dest, $photo_name.$photo_ext);
				move_uploaded_file($photo_pic['tmp_name'], $photo_dest.$photo_file);
				chmod($photo_dest.$photo_file, 0644);
				$imagefile = @getimagesize($photo_dest.$photo_file);
				if (!verify_image($photo_dest.$photo_file)) {
					$error = 3;
					unlink($photo_dest.$photo_file);
				} elseif ($imagefile[0] > $settings['photo_max_w'] || $imagefile[1] > $settings['photo_max_h']) {
					$error = 4;
					unlink($photo_dest.$photo_file);
				} else {
					$submit_info['photo_file'] = $photo_file;
				}
			}
		}
        if(isset($_POST['mplace_buynow'])) { $mplace_buynow = 1; }
	$mplace_article = stripinput($_POST['mplace_article']);
	$mplace_price = stripinput($_POST['mplace_price']);
	$mplace_message = $_POST['mplace_message'];
        $mplace_time = $_POST['mplace_time'];
        $mplace_cat = $_POST['mplace_cat'];
        
if (!$error) {

         if ($action == "edit") {
         if($photo_pic<>"") { $photo=$photo_file; } else {
         $result = dbquery("SELECT * FROM ".DB_MARKETPLACE." WHERE mplace_id='$mplace_id'");
	 $data = dbarray($result);
         $photo=$data['photo'];
          }
if(isset($_POST['del'])) { $photo = ""; }
                $result = dbquery("UPDATE ".DB_MARKETPLACE." SET mplace_article='$mplace_article', mplace_price='$mplace_price', mplace_buynow='$mplace_buynow', photo='$photo', mplace_time='$mplace_time', mplace_cat='$mplace_cat', mplace_message='$mplace_message' WHERE mplace_id='$mplace_id'");
	} else {
		$mplace_owner = $userdata['user_id'];
		$mplace_datestamp = time();
		$result = dbquery("INSERT INTO ".DB_MARKETPLACE." (mplace_owner, mplace_article, mplace_message, mplace_price, photo, mplace_buynow, mplace_time, mplace_cat, mplace_datestamp) VALUES('$mplace_owner', '$mplace_article', '$mplace_message', '$mplace_price', '$photo_file', '$mplace_buynow', '$mplace_time', '$mplace_cat','$mplace_datestamp')");
	}
	} else {
	echo "<div style='text-align:center'><br />\n".$locale['600']."<br /><br />\n";
			if ($error == 1) { echo $locale['601']; }
			elseif ($error == 2) { echo sprintf($locale['602'], $settings['photo_max_b']); }
			elseif ($error == 3) { echo $locale['603']; }
			elseif ($error == 4) { echo sprintf($locale['604'], $settings['photo_max_w'], $settings['photo_max_h']); }
			
		}
	redirect(FUSION_SELF);
}

if (isset($_POST['bidding_submit'])) {
	$mplace_id = stripinput($_POST['mplace_id']);
	$bidding_price = stripinput($_POST['bidding_price']);
	$bidding_owner = $userdata['user_id'];
	$bidding_date = time();
	
	$result = dbquery("SELECT * FROM ".DB_MARKETPLACE_BIDDING." WHERE bidding_owner='".$bidding_owner."' AND mplace_id='".$mplace_id."'");
	$rows = dbrows($result);
	if ($rows == 0) {
		$result = dbquery("INSERT INTO ".DB_MARKETPLACE_BIDDING." (mplace_id, bidding_owner, bidding_price, bidding_date) VALUES('$mplace_id', '$bidding_owner', '$bidding_price',  '$bidding_date')");
	} else {
		$result = dbquery("UPDATE ".DB_MARKETPLACE_BIDDING." SET bidding_price='$bidding_price', bidding_date='$bidding_date' WHERE bidding_owner='".$bidding_owner."' AND mplace_id='".$mplace_id."'");
	}
	redirect(FUSION_SELF);
}


if (isset($_POST['bidding_finish'])) {
$result = dbquery("SELECT * FROM ".DB_MARKETPLACE." WHERE mplace_id='$mplace_id'");
	$data = dbarray($result);
		$mailfrom = $userdata['user_owner'];
		$u_result = dbarray(dbquery("SELECT * FROM ".$db_prefix."users WHERE user_id='".$data['mplace_owner']."'"));
		$mailto = $data['user_email'];
			$mailtype = "html";
			$mailsubject = "[".$data['mplace_article']."]";
			$mailmessage = $locale['MPL700'].$data['mplace_article'].$locale['MPL703']."\n";
			$mailmessage .= $locale['MPL705']."\n\n";
    		require_once INCLUDES."sendmail_include.php";
                sendemail($mailto,$u_result['user_email'],$settings['siteusername'],$settings['siteemail'],$mailsubject,$mailmessage,$mailtype);
		$result = dbquery("UPDATE ".DB_MARKETPLACE." SET mplace_sold='1' WHERE mplace_id='$mplace_id'");
		$result1 = dbquery("INSERT INTO ".DB_MARKETPLACE_BIDDING." (mplace_id, bidding_owner, bidding_price, bidding_date) VALUES('$mplace_id', '".$userdata['user_id']."', '0',  '".time()."')");
	redirect(FUSION_SELF);

}


if ($action == "close") {
	$result = dbquery("SELECT * FROM ".DB_MARKETPLACE." WHERE mplace_id='$mplace_id'");
	$data = dbarray($result);
	if ($userdata['user_id'] == $data['mplace_owner']) {
		$mailfrom = $settings['siteemail'];
		$u_result = dbarray(dbquery("SELECT * FROM ".$db_prefix."users WHERE user_id='".$mplace_sold."'"));
		if (mailok($u_result['user_email'])) {
        	$mailto = $u_result['user_email'];
			$mailtype = "plain";
			$mailsubject = "[".$data['mplace_article']."]";
			$mailmessage = $locale['MPL700'].$data['mplace_article'].$locale['MPL701'].$bidding_price.$locale['MPL203']."\n";
			$mailmessage .= $locale['MPL702']."\n\n";
    		require_once INCLUDES."sendmail_include.php";
    		sendemail($u_result['user_name'],$mailto,$settings['siteusername'],$mailfrom,$mailsubject,$mailmessage,$mailtype);
			$result = dbquery("UPDATE ".DB_MARKETPLACE." SET mplace_sold='$mplace_sold' WHERE mplace_id='$mplace_id'");
		}
	}	
	redirect(FUSION_SELF);
}
	
//new	
	if ($action == "decline") {
	$result = dbquery("SELECT * FROM ".DB_MARKETPLACE." WHERE mplace_id='$mplace_id'");
	$data = dbarray($result);
	if ($userdata['user_id'] == $data['mplace_owner']) {
		$mailfrom = $settings['siteemail'];
		$u_result = dbarray(dbquery("SELECT * FROM ".$db_prefix."users WHERE user_id='".$mplace_sold."'"));
		if (mailok($u_result['user_email'])) {
        	$mailto = $u_result['user_email'];
			$mailtype = "plain";
			$mailsubject = "[".$data['mplace_article']."]";
			$mailmessage = $locale['MPL700'].$data['mplace_article'].$locale['MPL704'].$bidding_price.$locale['MPL203']."\n";
			$mailmessage .= $locale['MPL702']."\n\n";
    		require_once INCLUDES."sendmail_include.php";
    		sendemail($u_result['user_name'],$mailto,$settings['siteusername'],$mailfrom,$mailsubject,$mailmessage,$mailtype);
			$result = dbquery("DELETE FROM ".DB_MARKETPLACE_BIDDING." WHERE mplace_id='$mplace_id'");
		}
	}	
	redirect(FUSION_SELF);
}	
	
	
if ($action == "edit") {
	$result = dbquery("SELECT * FROM ".DB_MARKETPLACE." WHERE mplace_id='$mplace_id'");
	$data = dbarray($result);
	if (dbrows($result) && (iADMIN || $userdata['user_id'] == $data['mplace_owner'])) {
		$mplace_article = $data['mplace_article'];
		$mplace_price = $data['mplace_price'];
		$mplace_message = $data['mplace_message'];
                $mplace_photo = $data['photo'];
                $mplace_time = $data['mplace_time'];
                $mplace_buynow = $data['mplace_buynow'];
                $mplace_cat = $data['mplace_cat'];
                $formaction = FUSION_SELF."?action=edit&amp;mplace_id=$mplace_id";
	} else {
		$action = "";
		$formaction = FUSION_SELF;
	}
} else {
	$mplace_article = "";
	$mplace_price = "";
	$mplace_time = "60";
        $mplace_buynow = "";
        $mplace_photo = "";
        $mplace_cat = "1";
        $mplace_message = $locale['MPL303'];
	$formaction = FUSION_SELF;
}

//Dodanie ograniczenia iMEMBER
if (iMEMBER) {
if ($action == "new" || $action == "edit") {
$check = $data['mplace_buynow'] == "1" ? " checked='checked'" : "";

if($action == "new") { $check1 =  $mplace_cat; }
if($action == "edit") { $check1 = $data['mplace_cat']; }

        opentable($locale['MPL300']);
	echo "<form name='marketplace'  method='post' enctype='multipart/form-data' onsubmit='return validatePhoto(this);' action=$formaction>
<center><table border='0' cellpadding='0' cellspacing='0' summary=''>
<tr><td align='right' class='tbl'>".$locale['MPL301']."</td>
	<td class='tbl'><input type='text' name='mplace_article' value='$mplace_article' class='textbox' size='25' maxlength='25' /></td>
	<td align='right' class='tbl'>".$locale['MPL302']."</td>
	<td class='tbl'><input type='text' name='mplace_price' value='$mplace_price' class='textbox' size='6' maxlength='6' /></td>
	<td align='left' class='tbl'>".$locale['MPL203']."</td>
</tr>
<tr>";

if($mplace_photo<>'') { echo"<td align='left' class='tbl' colspan='4'>Zaadowane zdjcie:<br><img src='".IMG."images/".$mplace_photo."' width='100' height='100' border='0'><label><input type='checkbox' name='del' value='0'> ".$locale['MPL607']."</label></td></tr>"; }

echo"<td class='tbl' colspan='5'><textarea name='mplace_message' cols='80' rows='10' wrap='off'>$mplace_message</textarea><br /><br /></td>
</tr>
<tr>";

echo"<td valign='top' class='tbl'>".$locale['MPL606']."</td>\n<td class='tbl'><label><input type='file' name='photo_pic_file' class='textbox' style='width:250px;'/><br />\n<span class='small2'>".sprintf($locale['624'], parsebytesize($settings['photo_max_b']), $settings['photo_max_w'], $settings['photo_max_h'])."</span></label></td></tr><tr><td class='tbl' colspan='4'><label>".$locale['MPL603']." <input type='checkbox' name='mplace_buynow' value='$mplace_buynow'".$check."> ".$locale['MPL604']."</label></td></tr>";

echo"<td class='tbl' colspan='4'>".$locale['MPL305'].":";

echo"<input type='radio' name='mplace_cat' value='1'".($check1 == "1" ? " checked='checked'" : "")." />".$locale['MPL306']."</label>";
echo"<input type='radio' name='mplace_cat' value='2'".($check1 == "2" ? " checked='checked'" : "")." />".$locale['MPL307']."</label>";
echo"<input type='radio' name='mplace_cat' value='3'".($check1 == "3" ? " checked='checked'" : "")." />".$locale['MPL308']."</label>";

echo"</td></tr>";

echo"<tr><td valign='top' class='tbl' colspan='4'>".$locale['MPL605']." <input type='text' name='mplace_time' value='$mplace_time' class='textbox' size='6' maxlength='2' /> dni</td></tr>";


echo"<tr><td class='tbl' colspan='5'>
<div class='tbl2' style='width:98%'>".display_bbcodes("99%", "mplace_message", "marketplace")."</div>\n";
echo"<input type='submit' name='mplace_submit' value='".$locale['MPL304']."' class='button' />
</td>
</tr>
</table></center>
</form>\n";
	closetable();
	//tablebreak();
}
}

//Dodanie ograniczenia iMEMBER
if (iMEMBER) {
if ($action == "make") {
	$result = dbarray(dbquery("SELECT * FROM ".DB_MARKETPLACE." WHERE mplace_id='$mplace_id'"));
	$mplace_article = $result['mplace_article'];
	$bidding_price = $result['mplace_price'];
        $bidding_price1 = $result['mplace_price'];
        $formaction = FUSION_SELF;
	opentable($locale['MPL600']."  [ ".$mplace_article." ]");
	echo "<form name='biddingplace'  method='post' action=$formaction>
<center><table border='0' cellpadding='0' cellspacing='0' summary=''>
<tr>
	<td><input type='hidden' name='mplace_id' value='".$mplace_id."' /></td>
	<td class='tbl'>".$locale['MPL608'].": ".$bidding_price."</td>
        <td align='left' class='tbl'>".$locale['MPL203']."</td>
        </tr>
        <tr>
        <td class='tbl'>".$locale['MPL609'].": <input type='text' name='bidding_price' value='".$bidding_price1."' class='textbox' size='6' maxlength='6' /></td>
	<td align='left' class='tbl'>".$locale['MPL203']."</td>
        </tr>
</tr>
<tr><td class='tbl' ><input type='submit' name='bidding_submit' value='".$locale['MPL602']."' class='button' /></td>
</tr>
</table></center>
</form>\n";
	closetable();
	//tablebreak();

}
}

//Dodanie ograniczenia iMEMBER
if (iMEMBER) {
if ($action == "buynow") {
	$result = dbarray(dbquery("SELECT * FROM ".DB_MARKETPLACE." WHERE mplace_id='$mplace_id'"));
	$mplace_article = $result['mplace_article'];
        $finish_price = $result['mplace_price'];
        $formaction = FUSION_SELF;
	opentable($locale['MPL600']."  [ ".$mplace_article." ]");
	echo "<form name='biddingplace'  method='post' action=$formaction>
<center><table border='0' cellpadding='0' cellspacing='0' summary=''>
<tr>
	<td><input type='hidden' name='mplace_id' value='".$mplace_id."' /></td>
	<td align='right' class='tbl'>".$locale['MPL601']."</td>
	<td class='tbl'><input type='text' name='bidding_price' value='".$finish_price."' class='textbox' size='6' maxlength='6' /></td>
	<td align='left' class='tbl'>".$locale['MPL203']."</td>
</tr>
</tr>
<tr><td class='tbl' colspan='3'><input type='submit' name='bidding_finish' value='".$locale['MPL603']."' class='button' /></td>
</tr>
</table></center>
</form>\n";
	closetable();
	//tablebreak();

}
}

opentable($locale['MPL200']);
$result = dbquery("SELECT * FROM ".DB_MARKETPLACE."");
$rows = dbrows($result);
if (!isset($rowstart) || !isNum($rowstart)) $rowstart = 0;
if ($rows != 0) {
//Dodanie ograniczenia iMEMBER

echo"".$locale['MPL305'].": <a href=".FUSION_SELF.">".$locale['MPL309']."</a> | <a href=".FUSION_SELF."?cat=1>".$locale['MPL306']."</a> | <a href=".FUSION_SELF."?cat=2>".$locale['MPL307']."</a> | <a href=".FUSION_SELF."?cat=3>".$locale['MPL308']."</a></br><br> ";
if (iMEMBER) {
        
        echo "<center>[ <a href='".FUSION_SELF."?action=new'>".$locale['MPL201']."</a> ]<br><br></center>\n";
	tablebreak();
}
	$i = 1;
	if(!isset($_GET['cat']) && $_GET['cat']==0 ) {
        $orderby = ($_GET['cat'] ==  "" ? "" : " WHERE mplace_cat=1 || mplace_cat=2 || mplace_cat=3"); } else {
        $orderby = ($_GET['cat'] ==  "" ? "" : " WHERE mplace_cat=".$_GET['cat']." "); }
        $result = dbquery("SELECT * FROM ".DB_MARKETPLACE.$orderby." ORDER BY mplace_datestamp DESC LIMIT $rowstart,10");
	$numrows = dbrows($result);
	while ($data = dbarray($result)) {
		$u_result = dbarray(dbquery("SELECT * FROM ".$db_prefix."users WHERE user_id='".$data['mplace_owner']."'"));
		echo "<table align='center' cellpadding='0' cellspacing='1' width='98%' class='tbl-border'>
<tr>
<td class='tbl2'>
<table cellpadding='0' cellspacing='0' width='100%'>
<tr>";

if($data['mplace_cat']=='1') { $category=$locale['MPL306']; } elseif($data['mplace_cat']=='2') { $category=$locale['MPL307']; } else { $category=$locale['MPL308']; }
echo"<td class='small'>[".strtoupper($category)."] <b>[ ".$data['mplace_article']." ]</b></td>
<td align='right' class='small'>".$locale['MPL202'].$data['mplace_price'].$locale['MPL203']."</td></tr>
</table>
</td>
</tr>
<tr>
<td class='tbl1'>";
if($data['photo']<>'') { echo"<a href='".IMG."images/".$data['photo']."' target='_blank'><img src='".IMG."images/".$data['photo']."' width='100' height='100' align='left' hspace='10' border='0'></a>"; }

echo"".nl2br(parseubb(parsesmileys($data['mplace_message'])))."</td>
</tr>
<tr><td class='tbl1'>\n";
		$b_result = dbquery("SELECT * FROM ".DB_MARKETPLACE_BIDDING." WHERE mplace_id='".$data['mplace_id']."' ");
		$b_rows = dbrows($b_result);
		if ($b_rows != 0) {
    		echo "<table cellpadding='0' cellspacing='0' width='100%'>\n";
			$b_result = dbquery("SELECT * FROM ".DB_MARKETPLACE_BIDDING." LEFT JOIN ".$db_prefix."users
								ON ".DB_MARKETPLACE_BIDDING.".bidding_owner=".$db_prefix."users.user_id 
								WHERE mplace_id='".$data['mplace_id']."' ORDER BY bidding_price");
			while ($b_data = dbarray($b_result)) {
				echo "<tr><td><img src='".THEME."images/bulletot.gif' alt='' />";
if($data['mplace_sold'] == $b_data['user_id'] & $b_data['bidding_price']==0) {
                                $u_result1 = dbarray(dbquery("SELECT * FROM ".$db_prefix."users WHERE user_id='".$b_data['user_id']."'"));
                                $winner=$u_result1['user_name'];
                                              echo"<a href='profile.php?lookup=".$b_data['user_id']."'> ".$winner."</a>"; } else {

                                echo" ".$b_data['bidding_price'].$locale['MPL203'].$locale['MPL501'].$b_data['user_name'];
                                }
                                
                                
				if ($data['mplace_sold'] == $b_data['user_id'] & $b_data['bidding_price']<>0) {
					echo $locale['MPL504']."</td>\n";
                                } elseif($data['mplace_sold'] == $b_data['user_id'] & $b_data['bidding_price']==0) {
                                        echo $locale['MPL506']."</td>\n";
                                } else {
					echo $locale['MPL502'].showdate("longdate", $b_data['bidding_date'])."</td>\n";
				}
				if (($userdata['user_id'] == $u_result['user_id']) && ($data['mplace_sold'] == 0)) {
					echo "<td width='50' class='small' align='center'><a href='".FUSION_SELF."?action=close&amp;mplace_id=".$data['mplace_id']."&amp;mplace_sold=".$b_data['user_id']."&amp;bidding_price=".$b_data['bidding_price']."'>".$locale['MPL503']."</a></td>\n";
//new				
        	echo "<td width='50' class='small' align='center'><a href='".FUSION_SELF."?action=decline&amp;mplace_id=".$data['mplace_id']."&amp;mplace_sold=".$b_data['user_id']."&amp;bidding_price=".$b_data['bidding_price']."'>".$locale['MPL505']."</a></td>\n";
        
        } else {
					echo "<td></td>\n";
				}	
				echo "</tr>\n";
			}	
			echo "</table></td>\n";
		} else {	

                        echo "<br /><center>".$locale['MPL500']."</td>\n";


                }
		echo "</tr>
<tr>
<td class='tbl2'>
<table cellpadding='0' cellspacing='0' width='100%'>
<tr>";


$poz=60*86400;
$poz1=$data['mplace_datestamp']+$poz;
$poz2=time()-$poz1;
$poz3=$poz2/86400-1;
echo"<td class='small'>".$locale['MPL204']."<b><a href='".BASEDIR."profile.php?lookup=".$u_result['user_id']."'>".$u_result['user_name']."</a></b>".$locale['MPL205']
.showdate("longdate", $data['mplace_datestamp'])." &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Do koca: <b>".ABS(substr($poz3,0,3))."</b> dni</td>
<td align='right' class='small'>\n";
		if (iADMIN) {
			echo "<a href='".FUSION_SELF."?action=delete&amp;mplace_id=".$data['mplace_id']."'>".$locale['MPL206']."</a>";
		}
		if ($data['mplace_sold'] == 0 && iMEMBER) {
			echo " | ";
			if ($userdata['user_id'] == $u_result['user_id']) {
				echo "<a href='".FUSION_SELF."?action=edit&amp;mplace_id=".$data['mplace_id']."'>".$locale['MPL207']."</a> | ";
			}

                        if(isnum($data['mplace_buynow']) && $data['mplace_buynow']=='1') { echo"<a href='".FUSION_SELF."?action=buynow&amp;mplace_id=".$data['mplace_id']."&amp;mplace_sold=".$userdata['user_id']."'>".$locale['MPL210']."</a></a>"; }  else { echo "<a href='".FUSION_SELF."?action=make&amp;mplace_id=".$data['mplace_id']."'>".$locale['MPL208']."</a>"; }

                        echo"</td></tr>\n";
		}	
		echo "</table>
</td>
</tr>
</table>\n";
		if ($i != $numrows) echo "<br />\n";
		$i++;
	}
} elseif (iMEMBER) {
	echo "<center><br />\n".$locale['MPL209']."<br /><br />\n[ <a href='".FUSION_SELF."?action=new'>".$locale['MPL201']."</a> ]<br /><br />\n</center>\n";
}
closetable();

if ($rows != 0) echo "<div align='center' style='margin-top:5px;'>\n".makePageNav($rowstart,10,$rows,3,FUSION_SELF."?")."\n</div>\n";


	$jquery_upload_js  = '<script type="text/javascript">';
			$jquery_upload_js .=  "/*<![CDATA[*/";
			$jquery_upload_js .=  "jQuery(document).ready(function(){";
			$jquery_upload_js .=    "jQuery('#shortdesc_display').show();";
			$jquery_upload_js .=    "jQuery('#calc_upload').click(function(){";
			$jquery_upload_js .=        "if(jQuery('#calc_upload').attr('checked')){";
			$jquery_upload_js .=        "jQuery('#download_filesize').attr('readonly','readonly');";
			$jquery_upload_js .=        "jQuery('#download_filesize').val('');";
			$jquery_upload_js .=        "jQuery('#calc_upload').attr('checked','checked');";
			$jquery_upload_js .=      "}else{";
			$jquery_upload_js .=        "jQuery('#download_filesize').removeAttr('readonly');";
			$jquery_upload_js .=        "jQuery('#calc_upload').removeAttr('checked');";
			$jquery_upload_js .=      "}";
			$jquery_upload_js .=    "});";
			$jquery_upload_js .=  "});";
			$jquery_upload_js .=  "function shortdesc_counter(textarea, counterID, maxLen){";
			$jquery_upload_js .=    "cnt = document.getElementById(counterID);";
			$jquery_upload_js .=    "if(textarea.value.length >= maxLen){";
			$jquery_upload_js .=      "textarea.value = textarea.value.substring(0,maxLen);";
			$jquery_upload_js .=    "}";
			$jquery_upload_js .=    "cnt.innerHTML = maxLen - textarea.value.length;";
			$jquery_upload_js .=  "}";
			$jquery_upload_js .=  "/*]]>*/";
			$jquery_upload_js .= "</script>";



$submit_js = '<script type="text/javascript">';
$submit_js .=  "/*<![CDATA[*/";

/************ photos ****/
$submit_js .=  "function validatePhoto(frm){";
$submit_js .=    'frm.photo_pic_file.value==""){';
$submit_js .=      'alert("'.$locale['550'].'"); return false;';
$submit_js .=    "}";
$submit_js .=  "}";
/************ -- end -- */
$submit_js .=  "/*]]>*/";
$submit_js .= "</script>";

require_once THEMES."templates/footer.php";
?>
